## emacs-web-server 1.5.1

=== Makefile ===
.POSIX:
EMACS = emacs
BATCH = $(EMACS) -batch -Q -L .

compile: simple-httpd.elc simple-httpd-test.elc

test: check
check: simple-httpd-test.elc
	$(BATCH) -l simple-httpd-test.elc -f ert-run-tests-batch

clean:
	rm -f simple-httpd.elc simple-httpd-test.elc

simple-httpd-test.elc: simple-httpd-test.el simple-httpd.el

.SUFFIXES: .el .elc
.el.elc:
	$(BATCH) -f batch-byte-compile $^

## emacs-web-server 1.4.6

=== debian/changelog ===
emacs-web-server (1.4.6-2) unstable; urgency=low

  * Add debian/watch file

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 14 Oct 2016 17:30:35 +0500

emacs-web-server (1.4.6-1) unstable; urgency=low

  * Initial release (Closes: #840549)

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 12 Oct 2016 20:50:49 +0500

=== debian/control ===
Source: emacs-web-server
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 10),
               dh-elpa
Standards-Version: 3.9.8
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/skeeto/emacs-http-server
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/emacs-web-server.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/emacs-web-server.git

Package: elpa-simple-httpd
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         emacs
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs24
Built-Using: ${misc:Built-Using}
Description: pure elisp HTTP server
 This used to be httpd.el but there are already several of these out there
 already of varying usefulness. Since the name change, it's been stripped down
 to simply serve files and directory listings. Client requests are sanitized so
 this should be safe, but its author makes no guarantees.

## emacs-web-server 1.5.1

=== debian/changelog ===
emacs-web-server (1.5.1-4) unstable; urgency=medium

  * Migrate to dh 13 without d/compat
  * d/control: Add Rules-Requires-Root: no
  * d/control: Declare Standards-Version 4.5.1 (no changes needed)
  * d/control: Drop Built-Using field
  * d/control: Drop emacs25 from Enhances
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 16 Jan 2021 16:21:38 +0500

emacs-web-server (1.5.1-3) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 09:30:07 -0300

emacs-web-server (1.5.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with dh-elpa 1.13 to fix byte-compilation with unversioned
    emacs

 -- David Bremner <bremner@debian.org>  Sat, 02 Jun 2018 20:23:57 -0300

emacs-web-server (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1
  * Migrate to dh 11
  * d/control: Change Vcs-{Browser,Git} URL to salsa.debian.org
  * d/control: Declare Standards-Version 4.1.4 (no changes needed)
  * d/control: Update Maintainer field (to Debian Emacsen team)
  * d/control: Enhance emacs25, not emacs24
  * d/control: Remove emacs from Depends
  * d/copyright: Bump copyright years
  * d/copyright: Use HTTPS URL in copyright
  * d/rules: Don't pass --parallel to dh

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 31 May 2018 20:52:55 +0500

=== debian/control ===
Source: emacs-web-server
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-elpa
Standards-Version: 4.5.1
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/skeeto/emacs-http-server
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-web-server
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-web-server.git

Package: elpa-simple-httpd
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: pure elisp HTTP server
 This used to be httpd.el but there are already several of these out there
 already of varying usefulness. Since the name change, it's been stripped down
 to simply serve files and directory listings. Client requests are sanitized so
 this should be safe, but its author makes no guarantees.

## emacs-web-server 1.5.1+git20231209.44fd82f

=== Makefile ===
--- 
+++ 
@@ -11,8 +11,8 @@
 clean:
 	rm -f simple-httpd.elc simple-httpd-test.elc
 
-simple-httpd-test.elc: simple-httpd-test.el simple-httpd.el
+simple-httpd-test.elc: simple-httpd-test.el simple-httpd.elc
 
 .SUFFIXES: .el .elc
 .el.elc:
-	$(BATCH) -f batch-byte-compile $^
+	$(BATCH) -f batch-byte-compile $<

=== debian/changelog ===
emacs-web-server (1.5.1+git20231209.44fd82f-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 19:57:21 +0900

emacs-web-server (1.5.1+git20231209.44fd82f-1) unstable; urgency=medium

  * New upstream version 1.5.1+git20231209.44fd82f (Closes: #1057558)
  * Add patch to clean documentation
  * Add upstream metadata
  * d/control: Declare Standards-Version 4.6.2 (no changes needed)
  * d/control: Clean Recommends
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 09 Dec 2023 19:55:18 +0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/skeeto/emacs-http-server
@@ -16,7 +16,7 @@
 Architecture: all
 Depends: ${elpa:Depends},
          ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: pure elisp HTTP server
  This used to be httpd.el but there are already several of these out there
